<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Dosis:200,300,400,600,800" rel="stylesheet">
    <link rel="stylesheet" href="css/style.css" />
    <script
            src="https://code.jquery.com/jquery-3.3.1.min.js"
            integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
            crossorigin="anonymous"></script>
    <title>Beringar Salvo Game</title>
</head>

<body>

<div class="container-fluid">
    <div class="bannerTitle"><img class="bannerImageGames" src="img/titlebannersalvo.png"></div>
    <div id="loginBlock" class="row">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-sm-4">
                    <div class="currentPlayerContainer">Current player: <span id="currentPlayer"></span><form class="form" id="logout-form" onsubmit="return false">
                        <button type="submit" class="btn btn-info">Log out</button></form>
                    </div>
                </div>
                <div class="col-sm-8">
                    <form class="form-inline" id="login-form" onsubmit="return false">
                        <label for="username">Name:</label><input class="form-control" id="username" type="email" name="username" required>
                        <label for="password">Password:</label><input class="form-control" id="password" type="password" name="password" required>
                        <input type="submit" class="form-control submitbutton btn btn-info" name="login" value="Login" />
                        <input type="submit" class="form-control submitbutton btn btn-info" name="signup" value="Sign Up" />
                    </form>
                </div>
            </div>
        </div>
    </div>
    <h3 id="signupSuccess" class="textCenter">Player created Successfully!</h3>
    <h3 id="errorSignup" class="textCenter"></h3>
    <h3 id="loginSuccess" class="textCenter">Login Successful!</h3>
    <h3 id="loginFailed" class="textCenter">Login failed! Bad credentials!</h3>
    <h3 id="logoutSuccess" class="textCenter">Logout Successful!</h3>
    <h3 id="gameCreatedSuccess" class="textCenter">Game Created Successfully! Redirecting to Game Page...</h3>
    <h3 id="gameJoinedSuccess" class="textCenter">Game Joined Successfully! Redirecting to Game Page...</h3>

    <form class="textCenter" id="createGame" onsubmit="return false">
        <button type="submit" class="btn btn-warning">CREATE NEW GAME</button>
    </form>

    <div class="row">
        <div class="col-sm-12">
            <div class="textCenter whiteColor"><h2>GAME LIST</h2></div>
            <div>
                <table class="table table-striped table-dark" id="gamesList">
                    <thead>
                    <tr><th class="textCenter">Game ID</th><th>Created</th><th>Player 1</th><th>Player 2</th><th class="textCenter">Game Actions</th></tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>

            <div class="textCenter whiteColor"><h2>LEADERBOARD</h2></div>
            <div>
                <table class="table table-striped table-dark" id="scoreBoard">
                    <thead>
                    <tr><th>Name</th><th class="textCenter">Total Score</th><th class="textCenter">Won</th><th class="textCenter">Lost</th><th class="textCenter">Tied</th></tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>


<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
<script src="js/games.js"></script>
</body>
</html>